<template>
  <keep-alive>
    <site-area-line-2-list
      v-if="nodeType === 0"
      :nodeSelected="nodeSelected"
    ></site-area-line-2-list>
  </keep-alive>
</template>

<script>
import SiteAreaLine2List from "./SiteAreaLine2List";
export default {
  name: 'FaultCauseRight',
  components: {
    SiteAreaLine2List,
  },
  data() {
    return {
      description: '中心/工区/工段',
      currentOrgCode: '',
      nodeType: 0,
      nodeSelected: {}
    }
  },
  methods: {},
  mounted() {
    this.$bus.$on('getCurrSelected', (data) => {  //getCurrSelected 事件 接收组件传递的参数
      this.nodeType = (data.type == undefined ? 0 : data.type);
      this.nodeSelected = data;
    })
  },
}
</script>

<style scoped>
</style>